> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riftmap.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List all versions of this artifact seen across the org, with consumer counts.

> List all versions of this artifact seen across the connected org, with consumer counts.



## OpenAPI

````yaml /openapi.json get /api/v1/artifacts/{artifact_id}/versions
openapi: 3.1.0
info:
  description: Change Impact Engine for multi-repo systems
  title: Riftmap
  version: 1.9.0
servers: []
security: []
paths:
  /api/v1/artifacts/{artifact_id}/versions:
    get:
      tags:
        - artifacts
      summary: >-
        List all versions of this artifact seen across the org, with consumer
        counts.
      description: >-
        List all versions of this artifact seen across the connected org, with
        consumer counts.
      operationId: get_artifact_versions_api_v1_artifacts__artifact_id__versions_get
      parameters:
        - in: path
          name: artifact_id
          required: true
          schema:
            format: uuid
            title: Artifact Id
            type: string
        - in: header
          name: X-Workspace-Id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Workspace-Id
        - in: cookie
          name: riftmap_access
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Riftmap Access
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ArtifactVersionEntry'
                title: >-
                  Response Get Artifact Versions Api V1 Artifacts  Artifact Id 
                  Versions Get
                type: array
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  schemas:
    ArtifactVersionEntry:
      description: A specific version of an artifact seen across the org.
      properties:
        consumer_count:
          title: Consumer Count
          type: integer
        version_constraint:
          anyOf:
            - type: string
            - type: 'null'
          title: Version Constraint
        version_constraint_state:
          default: absent
          title: Version Constraint State
          type: string
      required:
        - version_constraint
        - consumer_count
      title: ArtifactVersionEntry
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-API-Key
      type: apiKey
    HTTPBearer:
      description: API key as Bearer token (rfm_live_... prefix)
      scheme: bearer
      type: http

````